SMMパネル API v2リファレンス
1PANEL PLUSは標準的なSMMパネル API v2に対応しています。APIキーとactionをPOSTリクエストで送ると、すべてJSONで応答します。料金と残高はウェブサイトと同じです。
基本
- エンドポイント
- https://1panelplus.com/api/v2
- メソッド
- POST
- パラメーター
- フォームフィールドまたはJSONボディ
- あなたのAPIキー
- ダッシュボードのAPIキーページから
- レート制限
- キーごとに1分あたり300リクエスト
リクエスト例
curl -X POST https://1panelplus.com/api/v2 \ -d key=YOUR_API_KEY \ -d action=balance
サービス一覧
有効なすべてのサービス。rateは米ドルでの1,000件あたりの料金、typeがPackageの場合は1パッケージの料金です。
| パラメーター | 説明 |
|---|---|
| key | あなたのAPIキー |
| action | services |
レスポンス例
[
{
"service": 1204,
"name": "YouTube Views - 30 Days Refill",
"type": "Default",
"category": "YouTube - Views (30 Days Refill)",
"rate": "1.5600",
"min": "100",
"max": "1000000",
"refill": true,
"cancel": false
}
]注文を追加
注文を作成し、料金を残高から差し引きます。Custom Commentsの場合は、quantityの代わりにcomments(1行に1件)を送ります。
| パラメーター | 説明 |
|---|---|
| key | あなたのAPIキー |
| action | add |
| service | サービスID |
| link | 動画、Shorts、配信、チャンネルへのリンク |
| quantity | 数量(Custom CommentsとPackageを除く) |
| comments | Custom Commentsのみ: 1行に1件のコメント |
レスポンス例
{
"order": 23501
}注文ステータス
1件の注文のステータス。chargeは支払った金額(USD)です。
| パラメーター | 説明 |
|---|---|
| key | あなたのAPIキー |
| action | status |
| order | 注文ID |
レスポンス例
{
"charge": "1.560000",
"start_count": "3572",
"status": "In progress",
"remains": "157",
"currency": "USD"
}複数ステータス
最大100件の注文のステータス。カンマ区切り。
| パラメーター | 説明 |
|---|---|
| key | あなたのAPIキー |
| action | status |
| orders | 注文ID。例: 1,10,100 |
レスポンス例
{
"1": { "charge": "0.270000", "start_count": "3572", "status": "Partial", "remains": "157", "currency": "USD" },
"10": { "error": "Incorrect order ID" }
}リフィル
リフィルサービスの完了済み注文にリフィルを申請します。
| パラメーター | 説明 |
|---|---|
| key | あなたのAPIキー |
| action | refill |
| order | 注文ID |
レスポンス例
{
"refill": 412
}リフィルステータス
リフィル申請のステータス。
| パラメーター | 説明 |
|---|---|
| key | あなたのAPIキー |
| action | refill_status |
| refill | リフィルID |
レスポンス例
{
"status": "Completed"
}残高
米ドルでの残高。
| パラメーター | 説明 |
|---|---|
| key | あなたのAPIキー |
| action | balance |
レスポンス例
{
"balance": "100.840000",
"currency": "USD"
}注文ステータス
| Pending | 受付済み、開始待ち |
| In progress | 配信中 |
| Completed | 全数配信済み |
| Partial | 一部配信済み、残りは残高に返金 |
| Canceled | 未配信、全額返金 |
エラー
エラーはerrorメッセージを含むJSONで返ります。例:
{
"error": "Not enough funds on balance"
}| Invalid API key | キーがない、間違っている、または再発行済み |
| Incorrect service ID | このIDの有効なサービスがない |
| Incorrect link | リンクが空、またはウェブアドレスではない |
| Quantity out of range | サービスの最小数量未満、または最大数量超過 |
| Not enough funds on balance | 先にチャージしてください |
| Too many requests | 1分間に300リクエストを超過 |